package com.vendor.burn.views;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.model.PartitionItem;
import com.vendor.burn.model.TransferWay;
import com.vendor.burn.ui.UIAdapter;
import com.vendor.burn.ui.burners.PartitionComposite;
import com.vendor.burn.views.FastbootView;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.TabItem;

class null extends UIAdapter {
  public void disableReloadButton() {
    if (FastbootView.this.reloadButton.isDisposed())
      return; 
    FastbootView.this.reloadButton.setEnabled(false);
  }
  
  public void enableReloadButton() {
    if (FastbootView.this.reloadButton.isDisposed())
      return; 
    FastbootView.this.reloadButton.setEnabled(true);
  }
  
  public void disableServerIPSelection() {
    if (FastbootView.this.serverIpCombo.isDisposed())
      return; 
    FastbootView.this.serverIpCombo.setEnabled(false);
  }
  
  public void enableServerIPSelection() {
    if (FastbootView.this.serverIpCombo.isDisposed())
      return; 
    FastbootView.this.serverIpCombo.setEnabled(true);
  }
  
  public void disableSerialSelection() {
    setEnable((Control)FastbootView.this.netWay, false);
    setEnable((Control)FastbootView.this.netWayNonNude, false);
    setEnable((Control)FastbootView.this.serialWay, false);
    setEnable((Control)FastbootView.btnSerialRate, false);
    setEnable((Control)FastbootView.btnStopRate, false);
    setEnable((Control)FastbootView.btnParity, false);
    setEnable((Control)FastbootView.this.usb2ethWay, false);
    setEnable((Control)FastbootView.this.uart2Compress, false);
    setEnable((Control)FastbootView.this.usb2I2c, false);
    setEnable((Control)FastbootView.this.serialPortCombo, false);
    setEnable((Control)FastbootView.this.i2cBootrom, false);
    setEnable((Control)FastbootView.this.usbBootrom, false);
    setEnable((Control)FastbootView.this.usbNonNude, false);
    setEnable((Control)FastbootView.this.btnJtagAndNet, false);
    setEnable((Control)FastbootView.this.usb2EtherNet, false);
    setEnable((Control)FastbootView.this.btnJtagAndSerial, false);
    setEnable((Control)FastbootView.this.btnJtag, false);
    setEnable((Control)FastbootView.btnJtagRate, false);
    setEnable((Control)FastbootView.this.btnUsbAndSerial, false);
    setEnable((Control)FastbootView.this.btnGpt, false);
  }
  
  public void enableSerialSelection() {
    TransferWay transferWay = FastbootView.getBurnContext().getTransferWay();
    if (transferWay == TransferWay.JTAG || transferWay == TransferWay.JTAGAndNet)
      return; 
    setEnable((Control)FastbootView.this.serialPortCombo, true);
  }
  
  private void setEnable(Control control, boolean enbled) {
    if (control != null && !control.isDisposed())
      control.setEnabled(enbled); 
  }
  
  public void disableLocalChange() {
    disableSerialSelection();
    disableServerIPSelection();
  }
  
  public void enableLocalChange() {
    enableSerialSelection();
    enableServerIPSelection();
  }
  
  public void enableBoradChange() {
    FastbootView.this.updateUIEnableAndSelections();
    FastbootView.this.refreshTransferConfig();
  }
  
  public void disableBoradChange() {
    FastbootView.this.updateUIEnableAndSelections();
    FastbootView.this.enableBoardConfig(false);
  }
  
  public void highLight(PartitionItem part) {
    TabItem[] selection = FastbootView.this.tabFolder.getSelection();
    if (selection.length > 0) {
      Control control = selection[0].getControl();
      if (control instanceof PartitionComposite) {
        PartitionComposite p = (PartitionComposite)control;
        p.getProgressMonitor().highlight(part);
      } 
    } 
  }
}
